cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 
2024 Technology Preview Program

2024 Technology Preview Program:
Master powerful new features and shape the latest BIM-enabled innovations

Archicad C++ API
About Archicad add-on development using the C++ API.

the file is an outdated add-on that cannot be used with this

Anonymous
Not applicable
hello,
everytime I try to load a simple add-on with AC13 I get this message:

"the file is an outdated add-on that cannot be used with this archicad version"

I tried everything.
11 REPLIES 11
Anonymous
Not applicable
Well, it also happens when I try to load the API examples.
What could go wrong?
does it have anything with the add-on manager? (I dont believe so cause im working with the demo version...)

Im stuck with this for hours already.bomber.
Ralph Wessel
Mentor
zanzibar wrote:
"the file is an outdated add-on that cannot be used with this archicad version"
Does this error occur when you run ArchiCAD in demo mode too? And which compiler are you using to build the add-on?
Ralph Wessel BArch
Software Engineer Speckle Systems
Anonymous
Not applicable
Yes. Iv'e tried this in demo mode only...
And I'm using VS2005.

Ralph Wessel
Mentor
zanzibar wrote:
Yes. Iv'e tried this in demo mode only...
And I'm using VS2005.
I suppose I should ask the other obvious questions. Are you using the ArchiCAD 13 devkit? Note that devkits for one version of ArchiCAD are not compatible with another.

And are you compiling the correct word size for your target OS, i.e. are you building for 32 bits and running on 64 bit Windows or vice versa?
Ralph Wessel BArch
Software Engineer Speckle Systems
Anonymous
Not applicable
Didnt understand what you mean by that:
correct word size for your target OS
And yeah, I tried it several times : compiled as 64 bit in 64 bit O.S, and tried running it in a 64 bit AC13 (btw the devkit should be suitable).
I also tried that with 32 bit OS and AC and the same happend.
Ralph Wessel
Mentor
zanzibar wrote:
Didnt understand what you mean by that:
correct word size for your target OS
And yeah, I tried it several times : compiled as 64 bit in 64 bit O.S, and tried running it in a 64 bit AC13 (btw the devkit should be suitable).
'Word size' refers to the number of bits in the 'natural' unit of data for the target. This is typically the size of a memory address for the target.

So to recap, you've already done the following:
  • 1. Download the dev kit for ArchiCAD 13;

    2. Open one of the bundled example projects using VS 2005;

    3. Select the target to suit the host OS and ArchiCAD installation (32/64-bit) and build;

    4. Copy the built add-on into the ArchiCAD Add-Ons folder.
But having done this, it reports that the add-on is out of date?
Ralph Wessel BArch
Software Engineer Speckle Systems
Anonymous
Not applicable
Exactly. Iv'e done that several times and it didnt work.
Ralph Wessel
Mentor
zanzibar wrote:
Exactly. Iv'e done that several times and it didnt work.
I'm baffled. Try cleaning the project and then rebuilding. Does the add-on appear to build without error? In particular, are the resources compiled correctly? Check that the GRC compiler output is present and correct. It might be worth check all the project paths too - perhaps the project is linking against the wrong libraries.
Ralph Wessel BArch
Software Engineer Speckle Systems
Anonymous
Not applicable
yes, no errors appear while compiling.
How can I check the GRC file? (I mean, what is CORRECT)? and which libraries are you reffering to?

Thanks a lot.